from traceback import print_exc

from offline_results.repository.graph_db_connection import ANGraphDb


class QueryUtils:

    @staticmethod
    def query_homepage_for_all_contents(content_label, graph):
        try:
            response = graph.custom_query(
                query=f'''g.with('Neptune#enableResultCache', true).V().hasLabel('{content_label}')
                              .match(
                            __. as ("c").valueMap("content_id", "status"). as ("content_id"),
                            __. as ("c").out("HAS_HOMEPAGE").valueMap("homepage_id", "homepage_status", "is_connected").as("homepage_id")
                            ).select("content_id","homepage_id")''',
                payload={
                    content_label: content_label
                })
        except Exception:
            print_exc()
            graph = ANGraphDb.new_connection_config().graph
            response = graph.custom_query(
                query=f'''g.with('Neptune#enableResultCache', true).V().hasLabel('{content_label}')
                              .match(
                            __. as ("c").valueMap("content_id", "status"). as ("content_id"),
                            __. as ("c").out("HAS_HOMEPAGE").valueMap("homepage_id", "homepage_status", "is_connected").as("homepage_id")
                            ).select("content_id","homepage_id")''',
                payload={
                    content_label: content_label
                })

        return response
