from cachetools import cached, TTLCache

from offline_results.common.config import S3_RESOURCE, VISIONPLUS_DEV, VIEWED_DATA_PATH, CLUSTER_DATA_PATH
from offline_results.common.read_write_from_s3 import ConnectS3
from offline_results.utils.logger import Logging


class MainCache:

    @staticmethod
    @cached(cache=TTLCache(maxsize=1, ttl=90))
    def get_cache():
        s3_cls = ConnectS3()

        Logging.info("Reading user log from S3")

        viewed = s3_cls.read_compress_pickles_from_S3(bucket_name=VISIONPLUS_DEV, object_name=VIEWED_DATA_PATH,
                                                      resource=S3_RESOURCE)

        return viewed
